<?PHP
#
#   FILE:  HourlyMaint.php
#
#   FUNCTIONS PROVIDED:
#       (none)
#
#   FUNCTIONS EXPECTED:
#       (none)
#
#   OPTIONAL FUNCTIONS:
#       (none)
#
#   FORM FIELDS EXPECTED:
#       (none)
#
#   Part of the Collection Workflow Integration System (CWIS)
#   Copyright 2011 Internet Scout Project
#   http://scout.wisc.edu/
#

# ----- EXPORTED FUNCTIONS ---------------------------------------------------

# ----- LOCAL FUNCTIONS ------------------------------------------------------

# ----- MAIN -----------------------------------------------------------------

# call locally-defined maintenance functions if available
if (function_exists("Local_HourlyMaintenance"))
{
    Local_HourlyMaintenance();
}
if (function_exists("Local_DailyMaintenance"))
{
    if ((time() > strtotime("2:30 AM")) && (time() < strtotime("3:31 AM")))
    {
        Local_DailyMaintenance();
    }
}
if (function_exists("Local_WeeklyMaintenance"))
{
    if ((time() > strtotime("Monday 2:30 AM")) && (time() < strtotime("Monday 3:31 AM")))
    {
        Local_WeeklyMaintenance();
    }
}

# right now this just loads the user agent page
#         since that's the only maintenance task currently implemented
include("pages/UserAgentSearch.php");

$AF->SuppressHtmlOutput();
